'use strict';

var _marked = /*#__PURE__*/regeneratorRuntime.mark(rootSaga);

var _require = require('redux-saga/effects'),
    fork = _require.fork;

var sagaFilePaths = global.__CLIENT_SAGA__;
var rootSagaFilePaths = global.__COMMON_CLIENT_SAGA__;

var sagas = sagaFilePaths.map(function (i) {
  return fork(require(global.__RELATIVE_PATH__ + '/' + i));
});
var commonSagas = rootSagaFilePaths.map(function (i) {
  return fork(require(global.__COMMON_RELATIVE_PATH__ + '/' + i));
});

function rootSaga() {
  return regeneratorRuntime.wrap(function rootSaga$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return sagas.concat(commonSagas);

        case 2:
        case 'end':
          return _context.stop();
      }
    }
  }, _marked, this);
}

module.exports = function () {
  return rootSaga;
};